routes/web.php
<?php

use Illuminate\Support\Facades\Route;


Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->middleware('auth')->name('home');

Route::prefix('admin')
    ->as('admin.')
    ->middleware(['auth', 'account:admin'])
    ->group(function () {

        Route::get('/', [App\Http\Controllers\Admin\MainController::class, 'index'])->name('home');

        Route::post('/users/{user}/deactivate', [App\Http\Controllers\Admin\UserController::class, 'deactivate'])->name('user.deactivate');
        Route::post('/users/{user}/activate', [App\Http\Controllers\Admin\UserController::class, 'activate'])->name('user.activate');
        Route::resource('users', App\Http\Controllers\Admin\UserController::class)->only([
            'index', 'show', 'edit', 'update', 'destroy'
        ]);
        Route::resource('books', App\Http\Controllers\Admin\BookController::class)->only([
            'index', 'create', 'store', 'show', 'edit', 'update', 'destroy'
        ]);

        Route::resource('booking', App\Http\Controllers\Admin\BookBookingController::class)->only([
            'index'
        ]);
        Route::resource('rentals', App\Http\Controllers\Admin\BookRentalController::class)->only([
            'index', 'edit', 'update', 'destroy'
        ]);

});

Route::prefix('profile')
    ->as('profile.')
    ->middleware(['auth', 'account:user'])
    ->group(function () {

        Route::get('/', [App\Http\Controllers\Profile\ProfileController::class, 'index'])->name('home');

        Route::get('/search', [App\Http\Controllers\Profile\SearchController::class, 'index'])->name('search');

        Route::prefix('my')->as('user.')->group(function () {
            Route::get('/', [App\Http\Controllers\Profile\ProfileController::class, 'show'])->name('show');
            Route::get('/edit', [App\Http\Controllers\Profile\ProfileController::class, 'edit'])->name('edit');
            Route::post('/update', [App\Http\Controllers\Profile\ProfileController::class, 'update'])->name('update');
        });

        Route::prefix('books')->as('books.')->group(function () {
            Route::get('/', [App\Http\Controllers\Profile\BookController::class, 'index'])->name('index');
            Route::get('{book}', [App\Http\Controllers\Profile\BookController::class, 'show'])->name('show');
            Route::post('{book}/comments', [App\Http\Controllers\Profile\CommentController::class, 'store'])->name('comments.store');
            Route::delete('{book}/comments/{comment}', [App\Http\Controllers\Profile\CommentController::class, 'destroy'])->name('comments.destroy');
        });

        Route::prefix('booking')->as('booking.')->group(function () {
            Route::get('/', [App\Http\Controllers\Profile\BookBookingController::class, 'index'])->name('index');
            Route::post('{book}/booking', [App\Http\Controllers\Profile\BookBookingController::class, 'store'])->name('store');
            Route::delete('{book}/booking/{booking}', [App\Http\Controllers\Profile\BookBookingController::class, 'destroy'])->name('destroy');
        });

        Route::prefix('rentals')->as('rentals.')->group(function () {
            Route::get('/', [App\Http\Controllers\Profile\BookRentalController::class, 'index'])->name('index');
            Route::post('{book}/rental', [App\Http\Controllers\Profile\BookRentalController::class, 'store'])->name('store');
        });

        Route::get('/logs', [App\Http\Controllers\Profile\LogsController::class, 'index'])->name('logs');
});

resources/views/admin/rentals/edit.blade.php
@extends('layouts.app')

@section('content')

    <div class="container">

        @include('admin.components.menu')


        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Аренда</div>

                    <div class="card-body">

                        @if($rental)
                            <strong>Книга арендована до {{ date('d-m-Y', strtotime($rental->return_at)) }}</strong>
                        @endif
                        <form method="POST" action="{{ route('admin.rentals.update', $rental) }}">
                            @csrf
                            @method('PUT')

                            <label for="return_at">Дата возврата</label>
                            <div class="row">
                                <div class="col-md-8">
                                    <input type="date" class="form-control @error('return_at') is-invalid @enderror" id="return_at" name="return_at" placeholder="" value="{{ date('d-m-Y', strtotime($rental->return_at)) }}" required="">
                                    @error('return_at')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="col-md-4">
                                    <button type="submit" class="btn btn-primary">
                                        Изменить
                                    </button>
                                </div>
                            </div>
                        </form>

                        <hr>
                        <br>

                        <form method="POST" action="{{ route('admin.user.deactivate', $rental->user) }}">
                            @csrf

                            <div class="col-md-12">
                                <button type="submit" class="btn btn-warning">
                                    Заблокировать пользователя
                                </button>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>

        <br>
        <br>

    </div>

@endsection

resources/views/admin/rentals/index.blade.php
@extends('layouts.app')

@section('content')

    <div class="container">

        @include('admin.components.menu')

        <table class="table">
            <thead>
            <tr>
                <th scope="col">Название книги</th>
                <th scope="col">ISBN книги</th>
                <th scope="col">Пользователь</th>
                <th scope="col">Действия</th>
            </tr>
            </thead>
            <tbody>
            @forelse($rentals as $rental)
                <tr>
                    <td>{{ $rental->book->title }}</td>
                    <td>{{ $rental->book->isbn }}</td>
                    <td>#{{ $rental->user->id }} {{ $rental->user->name }} {{ $rental->user->email }}</td>
                    <td>
                        <a href="{{ route('admin.rentals.edit', $rental->id) }}" class="btn btn-primary">Редактирование</a>
                        <form action="{{ route('admin.rentals.destroy', $rental->id) }}" method="POST">
                            @csrf
                            @method('DELETE')
                            <button class="btn btn-danger" type="submit">Удалить</button>
                        </form>
                    </td>
                </tr>
            @empty
                <p>Пусто</p>
            @endforelse
            </tbody>
        </table>

    </div>

@endsection